Index: libpolys/coeffs/coeffs.h
===================================================================
--- libpolys/coeffs/coeffs.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/coeffs.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -100,5 +100,5 @@
 
    /// output of coeff description via Print
-   void (*cfCoeffWrite)(const coeffs r);
+   void (*cfCoeffWrite)(const coeffs r, BOOLEAN details);
 
    // the union stuff
@@ -541,6 +541,6 @@
 
 /// output the coeff description
-static inline void   n_CoeffWrite(const coeffs r)
-{ assume(r != NULL); assume(r->cfCoeffWrite != NULL); r->cfCoeffWrite(r); }
+static inline void   n_CoeffWrite(const coeffs r, BOOLEAN details = TRUE)
+{ assume(r != NULL); assume(r->cfCoeffWrite != NULL); r->cfCoeffWrite(r, details); }
 
 // Tests:
Index: libpolys/coeffs/ffields.cc
===================================================================
--- libpolys/coeffs/ffields.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/ffields.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -868,11 +868,16 @@
 }
 
-void    nfCoeffWrite  (const coeffs r)
+void    nfCoeffWrite  (const coeffs r, BOOLEAN details)
 {
   // m_nfCharQ = p^k where p is the characteristic (r->CharP) and k is GFDegree
   Print("//   # ground field : %d\n",r->m_nfCharQ);
   Print("//   primitive element : %s\n", r->m_nfParameter);
-  StringSetS("//   minpoly        : ");
-  nfShowMipo(r);PrintS(StringAppendS("\n"));
+  if ( details )
+  {
+    StringSetS("//   minpoly        : ");
+    nfShowMipo(r);
+    PrintS(StringAppendS("\n"));
+  }
+  else PrintS("//   minpoly        : ...\n"); 
 }
 
Index: libpolys/coeffs/ffields.h
===================================================================
--- libpolys/coeffs/ffields.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/ffields.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -42,5 +42,5 @@
 void    nfReadTable   (const int c, const coeffs r);
 
-void    nfCoeffWrite(const coeffs r);
+void    nfCoeffWrite(const coeffs r, BOOLEAN details);
 void    nfShowMipo(const coeffs r);
 #endif
Index: libpolys/coeffs/gnumpc.cc
===================================================================
--- libpolys/coeffs/gnumpc.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/gnumpc.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -610,7 +610,9 @@
 }
 
-void    ngcCoeffWrite  (const coeffs r)
+void    ngcCoeffWrite  (const coeffs r, BOOLEAN details)
 {
   Print("//   characteristic : 0 (complex:%d digits, additional %d digits)\n",
-               r->float_len, r->float_len2);  /* long C */
-}
+        r->float_len, r->float_len2);  /* long C */
+  Print("//   1 parameter    : %s\n", r->complex_parameter);
+  Print("//   minpoly        : (%s^2+1)\n", r->complex_parameter);  
+}
Index: libpolys/coeffs/gnumpc.h
===================================================================
--- libpolys/coeffs/gnumpc.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/gnumpc.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -45,5 +45,5 @@
 
 void     ngcDelete(number *a, const coeffs r);
-void     ngcCoeffWrite(const coeffs r);
+void     ngcCoeffWrite(const coeffs r, BOOLEAN details);
 
 #ifdef LDEBUG
Index: libpolys/coeffs/gnumpfl.cc
===================================================================
--- libpolys/coeffs/gnumpfl.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/gnumpfl.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -521,5 +521,5 @@
 
 
-void    ngfCoeffWrite  (const coeffs r)
+void    ngfCoeffWrite  (const coeffs r, BOOLEAN /*details*/)
 {
   Print("//   characteristic : 0 (real:%d digits, additional %d digits)\n",
Index: libpolys/coeffs/gnumpfl.h
===================================================================
--- libpolys/coeffs/gnumpfl.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/gnumpfl.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -38,5 +38,5 @@
 number   ngf_Copy(number a, coeffs r);
 void     ngfWrite(number &a, const coeffs r);
-void     ngfCoeffWrite(const coeffs r);
+void     ngfCoeffWrite(const coeffs r, BOOLEAN details);
 
 void     ngfDelete(number *a, const coeffs r);
Index: libpolys/coeffs/longrat.cc
===================================================================
--- libpolys/coeffs/longrat.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/longrat.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -2559,5 +2559,5 @@
 }
 
-void    nlCoeffWrite  (const coeffs)
+void    nlCoeffWrite  (const coeffs, BOOLEAN /*details*/)
 {
   PrintS("//   characteristic : 0\n");
Index: libpolys/coeffs/longrat.h
===================================================================
--- libpolys/coeffs/longrat.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/longrat.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -91,5 +91,5 @@
 number   nlGetDenom(number &n, const coeffs r);
 number   nlGetNumerator(number &n, const coeffs r);
-void     nlCoeffWrite(const coeffs r);
+void     nlCoeffWrite(const coeffs r, BOOLEAN details);
 number   nlChineseRemainder(number *x, number *q,int rl, const coeffs C);
 number   nlFarey(number nN, number nP, const coeffs CF);
Index: libpolys/coeffs/modulop.cc
===================================================================
--- libpolys/coeffs/modulop.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/modulop.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -813,5 +813,5 @@
 #endif
 
-void    npCoeffWrite  (const coeffs r)
+void    npCoeffWrite  (const coeffs r, BOOLEAN /*details*/)
 {
   Print("//   characteristic : %d\n",r->npPrimeM);
Index: libpolys/coeffs/modulop.h
===================================================================
--- libpolys/coeffs/modulop.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/modulop.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -42,5 +42,5 @@
 BOOLEAN npEqual       (number a, number b,const coeffs r);
 void    npWrite       (number &a, const coeffs r);
-void    npCoeffWrite  (const coeffs r);
+void    npCoeffWrite  (const coeffs r, BOOLEAN details);
 const char *  npRead  (const char *s, number *a,const coeffs r);
 #ifdef LDEBUG
Index: libpolys/coeffs/rintegers.cc
===================================================================
--- libpolys/coeffs/rintegers.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rintegers.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -377,5 +377,5 @@
 }
 
-void    nrzCoeffWrite  (const coeffs)
+void    nrzCoeffWrite  (const coeffs, BOOLEAN /*details*/)
 {
   PrintS("//   characteristic : 0 (Integers)\n");
Index: libpolys/coeffs/rintegers.h
===================================================================
--- libpolys/coeffs/rintegers.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rintegers.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -46,5 +46,5 @@
 const char *  nrzRead  (const char *s, number *a, const coeffs r);
 char *  nrzName        (number n, const coeffs r);
-void    nrzCoeffWrite  (const coeffs r);
+void    nrzCoeffWrite  (const coeffs r, BOOLEAN details);
 #ifdef LDEBUG
 BOOLEAN nrzDBTest      (number a, const char *f, const int l, const coeffs r);
Index: libpolys/coeffs/rmodulo2m.cc
===================================================================
--- libpolys/coeffs/rmodulo2m.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rmodulo2m.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -29,5 +29,5 @@
 extern omBin gmp_nrz_bin; /* init in rintegers*/
 
-void    nr2mCoeffWrite  (const coeffs r)
+void    nr2mCoeffWrite  (const coeffs r, BOOLEAN /*details*/)
 {
   Print("//   Z/2^%lu\n", r->modExponent);
Index: libpolys/coeffs/rmodulo2m.h
===================================================================
--- libpolys/coeffs/rmodulo2m.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rmodulo2m.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -48,5 +48,5 @@
 const char *  nr2mRead  (const char *s, number *a, const coeffs r);
 char *  nr2mName        (number n, const coeffs r);
-void    nr2mCoeffWrite  (const coeffs r);
+void    nr2mCoeffWrite  (const coeffs r, BOOLEAN details);
 #ifdef LDEBUG
 BOOLEAN nr2mDBTest      (number a, const char *f, const int l, const coeffs r);
Index: libpolys/coeffs/rmodulon.cc
===================================================================
--- libpolys/coeffs/rmodulon.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rmodulon.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -29,5 +29,5 @@
 extern omBin gmp_nrz_bin;
 
-void    nrnCoeffWrite  (const coeffs r)
+void    nrnCoeffWrite  (const coeffs r, BOOLEAN /*details*/)
 {
   long l = (long)mpz_sizeinbase(r->modBase, 10) + 2;
Index: libpolys/coeffs/rmodulon.h
===================================================================
--- libpolys/coeffs/rmodulon.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/rmodulon.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -47,5 +47,5 @@
 #define  nrnWrite      nrzWrite
 const char *  nrnRead  (const char *s, number *a, const coeffs r);
-void     nrnCoeffWrite (const coeffs r);
+void     nrnCoeffWrite (const coeffs r, BOOLEAN details);
 #ifdef LDEBUG
 BOOLEAN nrnDBTest      (number a, const char *f, const int l, const coeffs r);
Index: libpolys/coeffs/shortfl.cc
===================================================================
--- libpolys/coeffs/shortfl.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/coeffs/shortfl.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -47,5 +47,5 @@
 
 
-void    nrCoeffWrite  (const coeffs r)
+void    nrCoeffWrite  (const coeffs r, BOOLEAN /*details*/)
 {
   assume( getCoeffType(r) == ID );
Index: libpolys/polys/ext_fields/algext.cc
===================================================================
--- libpolys/polys/ext_fields/algext.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/polys/ext_fields/algext.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -70,5 +70,4 @@
 #define naMinpoly naRing->minideal->m[0]
 
-
 /// forward declarations
 BOOLEAN  naGreaterZero(number a, const coeffs cf); 
@@ -97,7 +96,8 @@
 int      naSize(number a, const coeffs cf);
 void     naDelete(number *a, const coeffs cf);
-void     naCoeffWrite(const coeffs cf);
+void     naCoeffWrite(const coeffs cf, BOOLEAN details);
 number   naIntDiv(number a, number b, const coeffs cf);
 const char * naRead(const char *s, number *a, const coeffs cf);
+
 static BOOLEAN naCoeffIsEqual(const coeffs cf, n_coeffType n, void * param);
 
@@ -256,5 +256,5 @@
 }
 
-void naCoeffWrite(const coeffs cf)
+void naCoeffWrite(const coeffs cf, BOOLEAN details)
 {
   assume( cf != NULL );
@@ -265,5 +265,5 @@
   assume( A->cf != NULL );
    
-  n_CoeffWrite(A->cf);
+  n_CoeffWrite(A->cf, details);
  
 //  rWrite(A);
@@ -277,4 +277,6 @@
     Print("%s ", rRingVar(nop, A));
   
+  PrintLn();
+  
   const ideal I = A->minideal;
 
@@ -282,5 +284,15 @@
   assume( IDELEMS(I) == 1 );
   
-  PrintS("\n//   minpoly        : ("); p_Write0( I->m[0], A); PrintS(")\n");
+
+  if ( details )
+  {
+    PrintS("//   minpoly        : (");
+    p_Write0( I->m[0], A);
+    PrintS(")");
+  }
+  else
+    PrintS("//   minpoly        : ...");
+  
+  PrintLn();
   
 /*
Index: libpolys/polys/ext_fields/transext.cc
===================================================================
--- libpolys/polys/ext_fields/transext.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/polys/ext_fields/transext.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -118,5 +118,5 @@
 int      ntSize(number a, const coeffs cf);
 void     ntDelete(number * a, const coeffs cf);
-void     ntCoeffWrite(const coeffs cf);
+void     ntCoeffWrite(const coeffs cf, BOOLEAN details);
 number   ntIntDiv(number a, number b, const coeffs cf);
 const char * ntRead(const char *s, number *a, const coeffs cf);
@@ -377,5 +377,5 @@
 }
 
-void ntCoeffWrite(const coeffs cf)
+void ntCoeffWrite(const coeffs cf, BOOLEAN details)
 {
   assume( cf != NULL );
@@ -386,5 +386,5 @@
   assume( A->cf != NULL );
 
-  n_CoeffWrite(A->cf);
+  n_CoeffWrite(A->cf, details);
 
 //  rWrite(A);
@@ -401,5 +401,4 @@
 
   PrintS("\n//   minpoly        : 0\n");
-
 
 /*
Index: libpolys/polys/ext_fields/transext.h
===================================================================
--- libpolys/polys/ext_fields/transext.h	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/polys/ext_fields/transext.h	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -125,5 +125,5 @@
 int      ntSize(number a, const coeffs cf);
 void     ntDelete(number * a, const coeffs cf);
-void     ntCoeffWrite(const coeffs cf);
+void     ntCoeffWrite(const coeffs cf, BOOLEAN details);
 number   ntIntDiv(number a, number b, const coeffs cf);
 const char * ntRead(const char *s, number *a, const coeffs cf);
Index: libpolys/polys/monomials/ring.cc
===================================================================
--- libpolys/polys/monomials/ring.cc	(revision 5f4015a4722191e67435fb8503aa693c23375458)
+++ libpolys/polys/monomials/ring.cc	(revision 03f7b54eb2ee5d81d741e9edc887786af0df4712)
@@ -245,5 +245,5 @@
   nblocks--;
 
-  n_CoeffWrite(r->cf);
+  n_CoeffWrite(r->cf, details);
 #if 0
   {
